Kerbal Space Program - Bug #3893

Rockomax Brand Decoupler explodes or clips upon staging if translated close to upper part
12/23/2014 06:00 PM - Xavven

Status: Closed Start date: 12/23/2014
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 0.90 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

KSP Version: v0.90.0.705 Beta Windows 32-bit [OS Windows 8.1 64-bit]

What Happens: Rockomax Brand Decoupler clips upwards into the fuel tank, or in some cases explodes, when staged, if translated
too far up.

Mods / Add-Ons: All Stock

Steps to Replicate:

1) Make craft that includes a large size fuel tank, an LV-909 engine, and a Rockomax Brand Decoupler.

2) Translate the decoupler upwards until it touches or almost touches the fuel tank above the engine but does not clip into it.
3) On the launchpad, stage the decoupler.

Result: Decoupler clips upwards into the fuel tank, or in some cases explodes.

In the VAB, the engine looks like it fits comfortably inside the decoupler, which hides the mismatched fairing since the LV-909 is a
small engine and the decoupler is a large part. However, instead of a clean separation, | think the game is interpreting an extreme
part clipping scenario and then behaves against the player's intuition.

Fixes/Workarounds:
In the VAB, translate the decoupler back down until symptom no longer occurs.

Other Notes/Pictures/Log Files:
- Images Link: <iframe class="imgur-album" width="100%" height="550" frameborder="0"
src="//imgur.com/a/HMppi/embed"></iframe>

History

#1 - 12/23/2014 06:06 PM - Xavven

Sorry, here's a working link to the image album: http://imgur.com/a/HMppi

#2 - 07/27/2015 05:56 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#3 - 07/17/2016 09:31 AM - TriggerAu

- Status changed from New to Needs Clarification

#4 - 08/09/2016 11:30 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here

-tracker/ and tag @TriggerAu to get my attention
http://imgur.com/a/HMppi
http://bugs.kerbalspaceprogram.com/projects/ksp/wiki
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/

Files

KSP.log 143 KB 12/23/2014 Xavven
Decoupler Translate Bug.craft 11.5 KB 12/23/2014 Xavven
